Skip to main content
GET
Get Ofac Batch

Authorizations

X-API-Key
string
header
required

Path Parameters

batch_id
string<uuid>
required

The unique identifier of the OFAC batch to download.

Example:

"deacc294-99a8-436b-8440-318a23ac5a6b"

Response

Retrieved status of the OFAC batch.

id
string<uuid>
required

The unique identifier of the OFAC batch.

Example:

"abb310ac-2e5d-4189-892b-23393c057970"

name
string
required

The name of the ofac batch file

Example:

"ofac_batch_1.csv"

similarity_threshold
number
required

The similarity threshold for the OFAC search

Required range: 0 <= x <= 1
Examples:

0.9

0.95

0.99

state
enum<string>
required

The current processing state of the ofac batch

Available options:
PENDING,
EXECUTING,
COMPLETED,
FAILED,
CANCELLED
Example:

"COMPLETED"

entities_count
integer
required

Total number of entities in the batch

Example:

100

valid_entities_count
integer
required

Total number of valid entities in the batch

Example:

100

entities_with_match_count
integer
required

Total number of entities with a match in the batch

Example:

10

invalid_entities_count
integer
required

Total number of invalid entities in the batch

Example:

10

created_at
string<date-time>
required

When the ofac batch was created

Example:

"2026-10-29T05:44:48.219668"

updated_at
string<date-time> | null

When the ofac batch was updated

Example:

"2026-10-29T05:44:48.219684"